Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# equal_pixels
[STL-like Algorithms]

## Detailed Description

std::equal for image views

std::equal and gil::equal_pixels for GIL constructs

## Functions

template<typename View1, typename View2>
GIL_FORCEINLINE bool | equal_pixels (const View1 &v1, const View2 &v2)
| std::equal for image views
template<typename Types1, typename View2>
bool | equal_pixels (const any_image_view< Types1 > &src, const View2 &dst)
template<typename View1, typename Types2>
bool | equal_pixels (const View1 &src, const any_image_view< Types2 > &dst)
template<typename Types1, typename Types2>
bool | equal_pixels (const any_image_view< Types1 > &src, const any_image_view< Types2 > &dst)